#include <stdio.h>

#define MAX 10

int main()
{
    int array[MAX];
    int *parray;
    int i;

    // Fill some values in the array.
    for (i = 0; i < MAX; ++i) {
        array[i] = i * 10;
    }

    // Print the array. Try printing 20 elements!
    for (i = 0; i < MAX; ++i) {
        printf("array[%d] = %d\n", i, array[i]);
    }

    parray = &array[0];     // parray = array; also does the same thing.

    // Modify the array using the pointer.
    printf("The array is modified using the pointer!\n");
    for (i = 0; i < MAX; ++i) {
        *(parray + i) = i * 2;
    }

    // Print the original array.
    for (i = 0; i < MAX; ++i) {
        printf("array[%d] = %d \t *(parray + %d) = %d \n",
               i, array[i], i, *(parray + i));
    }

    return 0;
}
